---
api: 'Merchant API'
---

# Update a customer's payment method

Update the attributes of a specific saved payment method for a customer.

:::note
Updating `saved_for` to `customer` is a one-way operation — you can't change it back to `merchant`.

Once updated, this payment method can no longer be used for merchant-initiated transactions (MIT), for example, to charge recurring payments. It can only be used when the customer is on the checkout page.

For more information, see:
- [Pay for an order](/docs/api/merchant#pay-for-an-order)
- [Charge a customer's saved payment method](/docs/guides/merchant/optimise-checkout/save-payment-methods/charge-saved-payment-method)
:::

## Endpoint

PATCH `/api/customers/{customer_id}/payment-methods/{payment_method_id}`

## Request body

### Attributes

- `saved_for` (enum, optional)
    Update the value of `saved_for` from `merchant` to `customer`.
    
    Once updated, this payment method can no longer be used for merchant-initiated transactions (MIT). It can only be used when the customer is present on the checkout page.
    
    | Value | Description |
    | ----- | ----------- |
    | `customer` | Restrict this payment method to customer-initiated transactions only. |
    Possible enum values:

    - `customer`

## Returns

### 200

OK

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 401 | Unauthorized |
| 404 | Not Found |
